## org.eclipse.m2m.qvt.oml.debug.core.vm
Class QVTODebugEvaluator

    java.lang.Object
      <any>
          org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitorImpl
              org.eclipse.m2m.qvt.oml.debug.core.vm.QVTODebugEvaluator

All Implemented Interfaces:
  org.eclipse.m2m.internal.qvt.oml.evaluator.DeferredAssignmentListener, org.eclipse.m2m.internal.qvt.oml.evaluator.InternalEvaluator, org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitor

    public final class QVTODebugEvaluator

extends org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitorImpl

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitorImpl
`org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitorImpl.OperationCallResult`

Constructor Summary
`QVTODebugEvaluator(org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEnv env, org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv evalEnv, IQVTODebuggerShell shell)`

Method Summary
`protected void` `addToEnv(java.lang.String varName, java.lang.Object value, EClassifier declaredType)` Adds the given variable value into evaluation environment.
`org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitor` `createDebugInterceptor()`
`protected org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitorImpl` `createNestedEvaluationVisitor(org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitorImpl parent, org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv nestedEvalEnv)`
`java.util.List<UnitLocation>` `getLocationStack()`
`protected void` `handleLocationChanged(ASTNode element, UnitLocation location, boolean isElementEnd)`
`java.lang.Object` `navigateProperty(EStructuralFeature property, java.lang.Object target)`
`void` `notifyAfterDeferredAssign(AssignExp asssignExp, java.lang.Object assignLeftValue)` Notification call after the given assignment is executed at deferred time.
`protected void` `poppedStack()`
`protected java.lang.Object` `postElementVisit(ASTNode element, java.lang.Object preState, java.lang.Object result)`
`protected java.lang.Object` `preElementVisit(ASTNode element)`
`protected void` `processDeferredTasks()`
`protected void` `pushedStack(org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv env)`
`protected void` `replaceInEnv(java.lang.String varName, java.lang.Object value, EClassifier declaredType)` Replaces the given variable value in evaluation environment.
`java.lang.Object` `visitVariable(<any> vd)`

Methods inherited from class org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitorImpl

`call, callTransformationImplicitConstructor, canBePropagated, createInstance, createNonTransformationExecutionContextVisitor, createNonTransformationExecutionContextVisitor, createVisitor, doVisitOperationCallExp, execute, executeHelperOperation, getContext, getEvaluationEnvironment, getOperationalEnv, getOperationalEvaluationEnv, getOperationBody, getPropertyBody, getQVTVisitor, isWhenPreconditionSatisfied, navigate, runMainEntry, setCurrentEnvInstructionPointer, setOperationalEvaluationEnv, throwQVTException, visitAltExp, visitAssertExp, visitAssignExp, visitBlockExp, visitBreakExp, visitCatchtExp, visitCollectionLiteralExp, visitComputeExp, visitConstructor, visitConstructorBody, visitContextualProperty, visitContinueExp, visitDictLiteralExp, visitDictLiteralPart, visitEntryOperation, visitEnumLiteralExp, visitExpression, visitForExp, visitHelper, visitIfExp, visitImperativeIterateExp, visitImperativeLoopExp, visitImperativeOperation, visitInstantiationExp, visitLibrary, visitLocalProperty, visitLogExp, visitMappingBody, visitMappingCallExp, visitMappingOperation, visitModelType, visitModule, visitModuleImport, visitObjectExp, visitOperationBody, visitOperationCallExp, visitOrderedTupleLiteralExp, visitOrderedTupleLiteralPart, visitRaiseExp, visitResolveExp, visitResolveInExp, visitReturnExp, visitSwitchExp, visitTryExp, visitUnlinkExp, visitUnpackExp, visitVariableExp, visitVariableInitExp, visitVarParameter, visitWhileExp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QVTODebugEvaluator

    public QVTODebugEvaluator(org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEnv env,
                              org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv evalEnv,
                              IQVTODebuggerShell shell)

Method Detail

### createDebugInterceptor

    public org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitor createDebugInterceptor()

### createNestedEvaluationVisitor

    protected org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitorImpl createNestedEvaluationVisitor(org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitorImpl parent,
                                                                                                                           org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv nestedEvalEnv)

  Overrides:
    `createNestedEvaluationVisitor` in class `org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitorImpl`

### poppedStack

    protected void poppedStack()

  Overrides:
    `poppedStack` in class `org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitorImpl`

### pushedStack

    protected void pushedStack(org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv env)

  Overrides:
    `pushedStack` in class `org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitorImpl`

### addToEnv

    protected void addToEnv(java.lang.String varName,
                            java.lang.Object value,
                            EClassifier declaredType)

  Description copied from class: `org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitorImpl`
  Adds the given variable value into evaluation environment.

  Overrides:
    `addToEnv` in class `org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitorImpl`
  Parameters:
    `varName` - the name of the variable
    `value` - the value of the variable
    `declaredType` - the type of the variable (optional) or `null`

### replaceInEnv

    protected void replaceInEnv(java.lang.String varName,
                                java.lang.Object value,
                                EClassifier declaredType)

  Description copied from class: `org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitorImpl`
  Replaces the given variable value in evaluation environment.

  Overrides:
    `replaceInEnv` in class `org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitorImpl`
  Parameters:
    `varName` - the name of the variable to replace
    `value` - the new value of the variable
    `declaredType` - the type of the variable (optional) or `null`

### processDeferredTasks

    protected void processDeferredTasks()

  Overrides:
    `processDeferredTasks` in class `org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitorImpl`

### notifyAfterDeferredAssign

    public void notifyAfterDeferredAssign(AssignExp asssignExp,
                                          java.lang.Object assignLeftValue)

  Description copied from interface: `org.eclipse.m2m.internal.qvt.oml.evaluator.DeferredAssignmentListener`
  Notification call after the given assignment is executed at deferred time.

  Specified by:
    `notifyAfterDeferredAssign` in interface `org.eclipse.m2m.internal.qvt.oml.evaluator.DeferredAssignmentListener`
  Overrides:
    `notifyAfterDeferredAssign` in class `org.eclipse.m2m.internal.qvt.oml.evaluator.QvtOperationalEvaluationVisitorImpl`
  Parameters:
    `asssignExp` - the target assignment

### navigateProperty

    public java.lang.Object navigateProperty(EStructuralFeature property,
                                             java.lang.Object target)

### visitVariable

    public java.lang.Object visitVariable(<any> vd)

### getLocationStack

    public java.util.List<UnitLocation> getLocationStack()

### preElementVisit

    protected java.lang.Object preElementVisit(ASTNode element)

### postElementVisit

    protected java.lang.Object postElementVisit(ASTNode element,
                                                java.lang.Object preState,
                                                java.lang.Object result)

### handleLocationChanged

    protected void handleLocationChanged(ASTNode element,
                                         UnitLocation location,
                                         boolean isElementEnd)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.